% er.m
% schema d'Euler Retrograde pour Van de Pol  
% fd, 16 janvier 2005 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  entrees         x dans R^t2
%                  dt pas de temps
%  sortie          y solution de y - dt*f(y) = x 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  function y=er(x,dt);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% matrice identite
  Id=zeros(2,2) ; Id(1,1)=1 ; Id(2,2)=1 ; 
% initialisation : schema explicite
  y=x+dt*f(x) ;
% boucle de Newton
for i=1:10;
  A = fp(y) ; res=x - y + dt*f(y) ; 
  dy=((Id-dt*A)**(-1))*res ; 
y=y+dy ;
end ; 
