% rk.m
% schema de Runge Kutta  pour Van de Pol  
% fd, 16 janvier 2005 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  entrees         x dans R^t2
%                  dt pas de temps
%  sortie         y solution de 
%                 y1 = x + 0.5*dt*f(x) 
%                 y2 = x + 0.5*dt*f(y1)
%                 y3 = x + dt*f(y2) 
%                 y=x+dt*(f(x)+2*f(y1)+2*f(y2)+f(y3))/6
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  function y=rk(x,dt); 
y1 = x + 0.5*dt*f(x) ;
y2 = x + 0.5*dt*f(y1) ;
y3 = x + dt*f(y2) ;
y=x+dt*(f(x)+2*f(y1)+2*f(y2)+f(y3))/6 ;
